Loading...
Searching...
No Matches
Ogre::RuntimeAssertionException Class Reference
Core » General

`#include <OgreException.h>`

Inheritance diagram for Ogre::RuntimeAssertionException:
[legend]

## Public Member Functions

| RuntimeAssertionException (int inNumber, const String &inDescription, const String &inSource, const char *inFile, long inLine)
Public Member Functions inherited from Ogre::Exception
| Exception (const Exception &rhs)
| Copy constructor.
| Exception (int number, const String &description, const String &source)
| Default constructor.
| Exception (int number, const String &description, const String &source, const char *type, const char *file, long line)
| Advanced constructor.
| ~Exception () throw ()
| Needed for compatibility with std::exception.
const String & | getDescription (void) const
| Returns a string with only the 'description' field of this exception.
const char * | getFile () const
| Gets source file name.
const String & | getFullDescription (void) const
| Returns a string with the full description of this error.
long | getLine () const
| Gets line number.
const String & | getSource () const
| Gets the source function.
const char * | what () const override throw ()

## Additional Inherited Members

Public Types inherited from Ogre::Exception
enum | ExceptionCodes { ERR_CANNOT_WRITE_TO_FILE , ERR_INVALID_STATE , ERR_INVALIDPARAMS , ERR_RENDERINGAPI_ERROR , ERR_DUPLICATE_ITEM , ERR_ITEM_NOT_FOUND = ERR_DUPLICATE_ITEM , ERR_FILE_NOT_FOUND , ERR_INTERNAL_ERROR , ERR_RT_ASSERTION_FAILED , ERR_NOT_IMPLEMENTED , ERR_INVALID_CALL }
| Static definitions of error codes. More...

## Constructor & Destructor Documentation

## RuntimeAssertionException()

Ogre::RuntimeAssertionException::RuntimeAssertionException | ( | int | inNumber,
|  | const String & | inDescription,
|  | const String & | inSource,
|  | const char * | inFile,
|  | long | inLine )

inline

References Ogre::Exception::Exception().

The documentation for this class was generated from the following file:

- OgreException.h